<div id="wrapper">
  <div class="vertical-align-wrap">
    <div class="vertical-align-middle auth-main">
      <div class="auth-box">
        <div class="top">
          <img src="http://www.wrraptheme.com/templates/lucid/hospital/assets/images/logo-white.svg" alt="Lucid">
        </div>
        <div class="card">
          <div class="header">
            <p class="lead">Create an account</p>
          </div>
          <div class="body">
            <form class="form-auth-small" [formGroup]="registerForm" (ngSubmit)="inscrire()">


              <div class="form-group">
                <label class="control-label sr-only">nom</label>
                <input type="text" class="form-control"  formControlName="nom" [ngClass]="{ 'is-invalid': submit && f.nom.errors }"/>
                <div *ngIf="submit && f.nom.errors" class="invalid-feedback">
                  <div *ngIf="f.nom.errors.required">le champ est obligatoire</div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label sr-only">prenom</label>
                <input type="text" class="form-control"  formControlName="prenom" [ngClass]="{ 'is-invalid': submit && f.prenom.errors }"/>
                <div *ngIf="submit && f.prenom.errors" class="invalid-feedback">
                  <div *ngIf="f.prenom.errors.required">le champ est obligatoire</div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label sr-only">Email</label>
                <input type="text" class="form-control"  formControlName="email" [ngClass]="{ 'is-invalid': submit && f.email.errors }"/>
                <div *ngIf="submit && f.email.errors" class="invalid-feedback">
                  <div *ngIf="f.email.errors.required">le champ est obligatoire</div>
                  <div *ngIf="f.email.errors.email">Email must be a valid email address</div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label sr-only">motdepasse</label>
                <input type="password" class="form-control"  formControlName="motdepasse" [ngClass]="{ 'is-invalid': submit && f.motdepasse.errors }"/>
                <div *ngIf="submit && f.motdepasse.errors" class="invalid-feedback">
                  <div *ngIf="f.motdepasse.errors.required">le champ est obligatoire</div>
                </div>
              </div>

              <div class="form-group">
                <label class="control-label sr-only">CIN</label>
                <input type="number" class="form-control"  formControlName="CIN" [ngClass]="{ 'is-invalid': submit && f.CIN.errors }"/>
                <div *ngIf="submit && f.CIN.errors" class="invalid-feedback">
                  <div *ngIf="f.CIN.errors.required">le champ est obligatoire</div>
                </div>
              </div>



              <div class="form-group">
                <label class="control-label sr-only">CV</label>
                <input type="text" class="form-control"  formControlName="CV" [ngClass]="{ 'is-invalid': submit && f.CV.errors }"/>
                <div *ngIf="submit && f.CV.errors" class="invalid-feedback">
                  <div *ngIf="f.CV.errors.required">le champ est obligatoire</div>
                </div>
              </div>


              <div class="form-group">
                <label class="control-label sr-only">Photo</label>
                <input type="file" class="form-control"  formControlName="photo" [ngClass]="{ 'is-invalid': submit && f.photo.errors }" (change)="uploadFile($event.target.files)"/>
                <div *ngIf="submitted && V.image.errors" class="invalid-feedback">
                <div *ngIf="submit && f.photo.errors" class="invalid-feedback">
                  <div *ngIf="f.photo.errors.required">le champ est obligatoire</div>
                </div>
                </div>
              </div>







              <button type="submit" class="btn btn-primary btn-lg btn-block">REGISTER</button>
              <div class="bottom">
                <span class="helper-text">Already have an account? <a href="page-login.html">Login</a></span>
              </div>
            </form>
            <div class="separator-linethrough"><span>OR</span></div>
            <button class="btn btn-signin-social"><i class="fa fa-facebook-official facebook-color"></i> Sign in with Facebook</button>
            <button class="btn btn-signin-social"><i class="fa fa-twitter twitter-color"></i> Sign in with Twitter</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
